package introejb;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class CalculateEJBClient {
    public static void main(String [] args) {
        try {
            final Context context = getInitialContext();
            CalculateEJB calculateEJB = (CalculateEJB)context.lookup("CalculateEJB");
            // Call any of the Remote methods below to access the EJB
            System.out.println( calculateEJB.incrementValue(  ) );
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    private static Context getInitialContext() throws NamingException {
        // Get InitialContext for Embedded OC4J
        // The embedded server must be running for lookups to succeed.
        return new InitialContext();
    }
}
